<script>
      $(document).ready(function () {
    
        let giveAmount = 0;  
        let giveCurrency = 'INR';  
        let takeCurrency = 'USD';  
        const exchangeRates = <?php echo json_encode($currencyRates, 15, 512) ?>;  

        updateIcons(giveCurrency, takeCurrency);  // Initial icon update
        updateGiveCurrencyDisplay();
        

        function performCurrencyConversion() {
            if (giveAmount > 0) {
                const giveRate = exchangeRates[giveCurrency] || 1;
                const takeRate = exchangeRates[takeCurrency] || 1;
                if (giveRate && takeRate) {
                    const amountInUSD = giveAmount / giveRate;
                    const convertedAmount = amountInUSD * takeRate;
                    updateTakeCurrencyDisplay(convertedAmount);  
                } else {
                    alert('Conversion rate not available.');
                }
            }
        }

        function performCurrencyTakeConversion() {
            if (giveAmount > 0) {
                const giveRate = exchangeRates[giveCurrency] || 1;
                const takeRate = exchangeRates[takeCurrency] || 1;
                if (giveRate && takeRate) {
                    const amountInUSD = giveAmount / takeRate;
                    const convertedAmount = amountInUSD * giveRate;
                    updateTakeCurrencyDisplay(convertedAmount);  
                } else {
                    alert('Conversion rate not available.');
                }
            }
        }

        $('#giveAmount').on('input', function () {
            giveAmount = parseFloat($(this).val()) || 0;  
            updateGiveCurrencyDisplay();
            performCurrencyConversion();
        });

        function updateGiveCurrencyDisplay() {
            $('#giveCurrencyDisplay').html(
                giveCurrency + '<span class="currency--sum"> ' + giveAmount + ' ' + giveCurrency + '</span>'
            );
        }

        function updateTakeCurrencyDisplay(convertedAmount) {
            $('#takeCurrencyDisplay').html(
                takeCurrency + '<span class="currency--sum"> ' + convertedAmount.toFixed(2) + ' ' + takeCurrency + '</span>'
            );
        }

        function updateCurrencyIcon(section, currency, iconSelector) {
            $.ajax({
                url: '/?action=getCurrencyIcon&currency=' + currency,
                method: 'GET',
                success: function(response) {
                    $(iconSelector).attr('src', response.icon_path);
                },
                error: function() {
                    console.error('Failed to load currency icon.');
                }
            });
        }

        $('.card-currency--list.give .currency-item').on('click', function () {
            giveCurrency = $(this).data('currency');
            $('.card-currency--list.give .currency-item').removeClass('active');
            $(this).addClass('active');
            updateIcons(giveCurrency, takeCurrency);
            updateGiveCurrencyDisplay();
            performCurrencyConversion();
        });

        $('.card-currency--list.take .currency-item').on('click', function () {
            giveCurrency = $(this).data('currency');
            $('.card-currency--list.take .currency-item').removeClass('active');
            $(this).addClass('active');
            performCurrencyTakeConversion();
        });

        

        function updateIcons(giveCurrency, takeCurrency) {
            updateCurrencyIcon('give', giveCurrency, '#giveCurrencyIcon');
            updateCurrencyIcon('take', takeCurrency, '.takeCurrencyIcon');
        }
    });

</script>

    <?php /**PATH C:\xampp\htdocs\exchange1\resources\views/frontend/pages/ExchangeSectionScript.blade.php ENDPATH**/ ?>