<?php $__env->startSection('content'); ?>

<section class="contact-section">
    <div class="contact-container">
        <!-- Title with Icon -->
        <div class="contact-title d-flex align-items-center justify-content-center">
            <h2 class="contact-heading">Refund Policy</h2>
        </div>
        <!-- Row for Card -->
        <div class="row contact-row">
            <div class="col-12">
                <div class="contact-card">
                    <div class="contact-card-body">
                        <div class="row contact-info-row">
                            <div class="col-12 col-md-12 contact-info">
                                <div><span><b>ExchangeBuz Holdings Inc.
                                            ensures the right of its users to request a refund if they are dissatisfied
                                            with the quality of services provided. Users also have the right to request
                                            a refund if they change their mind after funding their
                                            account.</b></span></div>
                                <div><span >&nbsp;</span></div>
                                <div>
                                    <ul>
                                        <li><b>General Conditions</b></li>
                                    </ul>
                                    <ul>
                                        <li><b >Eligibility</b></li>
                                        <li>Refunds or returns can be requested by users who have paid for services,
                                            such as transaction fees or account funding, provided they meet the
                                            eligibility criteria.</li>
                                        <li><span >Refund requests will only be
                                                considered if all eligibility criteria are met. Failure to meet these
                                                criteria allows&nbsp;</span>ExchangeBuz&nbsp;<span
                                                >Holdings Inc. to decline the refund
                                                request at its discretion.</span></li>
                                    </ul>
                                    <div>&nbsp;</div>
                                </div>
                                <div>
                                    <ul>
                                        <li><b >Application Process</b></li>
                                        <li><span >Users must complete a
                                                Refund/Return Form and send it to </span><a href="mailto:contact@exchangebuz.com">contact@exchangebuz.com</a></li>
                                        <li><b >ExchangeBuz Holdings
                                                Inc.&nbsp</b>may verify all payments and related information. Users may be
                                                required to provide identification documents, payment card copies,
                                                invoices, or other proof of payment. Failure to provide the requested
                                                documents within three working days or doubts about their authenticity
                                                may result in the denial of the refund request.</li>
                                    </ul>
                                </div>
                                <div><span >&nbsp;</span></div>
                                <div>
                                    <ul>
                                        <li><b >Processing Time</b></li>
                                        <li><b>ExchangeBuz Holdings
                                                Inc.</b> will process the refund request as soon as possible and notify
                                                the user of the outcome within the specified timeframes.</li>
                                        <li><span >Approval or denial of the refund
                                                request will be based on a thorough verification process.</span></li>
                                    </ul>
                                </div>
                                <div><span >&nbsp;</span></div>
                                <div><b >**Note**: Submitting a Refund/Return
                                        Form does not guarantee the approval of the request.</b></div>
                                <div><span >&nbsp;</span></div>
                                <div>
                                    <ul>
                                        <li><b >Cryptocurrency
                                                Transactions</b></li>
                                    </ul>
                                </div>
                                <div><span >Refunds are not available for
                                        cryptocurrency purchases. However, users can return purchased cryptocurrency,
                                        and&nbsp;</span><span
                                        >ExchangeBuz Holdings Inc.&nbsp;will buy it back at the
                                        current market rate minus a service fee. Users can exchange the cryptocurrency
                                        for other digital currencies or payment methods.</span></div>
                                <div><span >&nbsp;</span></div>
                                <div><b >Reason: The constant fluctuation in
                                        cryptocurrency prices means the value at the time of refund will differ from the
                                        original purchase value.</b></div>
                                <div><span >&nbsp;</span></div>
                                <div>
                                    <ul>
                                        <li><b >Non-Cryptocurrency
                                                Transactions</b></li>
                                    </ul>
                                </div>
                                <div>Refunds are available within 30 days of the exchange transaction. A one-time refund
                                    fee of&nbsp;5% of the transaction amount, plus any additional service fees, will be
                                    charged.&nbsp;</div>
                                <div><span >&nbsp;</span></div>
                                <span >Example:&nbsp;If a user purchases
                                        digital currency via MoneyGram and requests a refund, they must return the full
                                        amount of the purchased digital currency.&nbsp;</span><span
                                        >ExchangeBuz Holdings Inc.&nbsp;will refund the money
                                        via MoneyGram, deducting the transfer fee, resulting in the user receiving the
                                        original payment amount minus 5% and MoneyGram transfer fees.</span>
                                <div><span >&nbsp;</span></div>
                                <div>
                                    <ul>
                                        <li><b >Chargebacks</b></li>
                                    </ul>
                                </div>
                                <div>
                                    <ul>
                                        <li><b ><strong>Initial
                                                    Contact</strong></b></li>
                                        <li><span >Users are expected to
                                                contact&nbsp;</span>ExchangeBuz&nbsp;<span
                                                >Holdings Inc.&nbsp;to resolve any
                                                payment issues before making a chargeback request. This does not affect
                                                any legal rights or claims users may have with their bank or financial
                                                institution.</span></li>
                                    </ul>
                                    <ul>
                                        <li><b
                                            ><strong>Investigation</strong></b>
                                        </li>
                                        <li>ExchangeBuz&nbsp;<span >Holdings
                                                Inc.&nbsp;will investigate chargeback requests and inform the user's
                                                issuing bank whether any service or transaction has been
                                                canceled.</span></li>
                                        <li><span >During the
                                                investigation,&nbsp;</span>ExchangeBuz&nbsp;<span
                                                >Holdings Inc.&nbsp;reserves the
                                                right to suspend the user's account and block funds.</span></li>
                                    </ul>
                                </div>
                                <div><span >&nbsp;</span></div>
                                <div>
                                    <ul>
                                        <li><b
                                               ><strong>Miscellaneous</strong></b>
                                        </li>
                                    </ul>
                                </div>
                                <div>
                                    <ul>
                                        <li><span >Any charges incurred during the
                                                refund/return process will be borne by the user and deducted from the
                                                final refund amount.</span></li>
                                        <li><span >This Refund Policy may be amended
                                                to comply with legislative changes.&nbsp;</span>ExchangeBuz&nbsp;<span
                                                >Holdings Inc.&nbsp;will announce
                                                any amendments, which will take effect after notice is given.</span>
                                        </li>
                                        <li><span >Users who do not accept the
                                                revised Refund Policy should discontinue
                                                using&nbsp;</span>ExchangeBuz&nbsp;<span
                                                >Holdings Inc.&nbsp;services.
                                                Continued use after changes take effect constitutes acceptance of the
                                                new Refund Policy.</span></li>
                                    </ul>
                                </div>
                                <div><span >&nbsp;</span></div>
                                <div><span >For further assistance, please
                                        contact&nbsp;</span><b
                                        >ExchangeBuz Holdings
                                        Inc.&nbsp;at&nbsp;<a href="mailto:contact@exchangebuz.com">contact@exchangebuz.com</a>.</b></div>


                            </div>

                        </div>
                    </div>
                </div>
            </div>


        </div>
</section>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('frontend.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\exchange1\resources\views/frontend/pages/refund_policy.blade.php ENDPATH**/ ?>