<?php $__env->startSection('content'); ?>


<section class="contact-section">
    <div class="contact-container">
        <!-- Title with Icon -->
        <div class="contact-title d-flex align-items-center justify-content-center">
            <h2 class="contact-heading">User Agreement</h2>
        </div>
        <!-- Row for Card -->
        <div class="row contact-row">
            <div class="col-12">
                <div class="contact-card">
                    <div class="contact-card-body">
                        <div class="row contact-info-row">
                            <div class="col-12 col-md-12 contact-info">
                                <p class="text-center">This User Agreement ("<b>Agreement</b>") delineates the terms
                                    governing the interaction between the website "<b>exchangebuz.com</b>" or
                                    "<b>ExchangeBuz Holdings Inc.</b>" ("<b>Service</b>"), located
                                    at&nbsp;<b>https://www.exchangebuz.com</b>, and any individual visiting said website
                                    ("<b>User</b>").</p>
                                <br>
                                <b>1. General Provisions </b>
                                <br>
                                <p><b>1.1.</b>&nbsp;The primary aim of this Agreement is to furnish the User with information regarding electronic exchange services, cash, and electronic currency exchange, as specified herein.</p>
                                <br>
                                <p><b>1.2.</b>&nbsp;By accessing any web pages of the Service, the User acknowledges acceptance of the conditions outlined in this Agreement, thereby undertaking to adhere to the rules established by the Administration, regardless of their awareness or lack thereof regarding said rules and provisions.</p>
                                <br>
                                <p><b>1.3.</b>&nbsp;The Service reserves the right to amend the terms of this Agreement at any time without prior notice. The current iteration of the Agreement can be found on the "<b>User Agreement</b>" page of the Service.</p>
                                <br>
                                <b>2. Service Provision Procedures</b>
                                <br>
                                <p><b>2.1.</b>&nbsp;The User shall independently navigate the Service website by accessing the relevant web pages.</p>
                                <br>
                                <p><b>2.2.</b>&nbsp;Upon undertaking any action necessitating the provision of their email address within the Service website, the User consents to automatic registration on the Service website based on the provided data, if not already registered.</p>
                                <br>
                                <p><b>2.3.</b>&nbsp;The Service reserves the right to refuse service provision to the User, justifying either electronically or without explanation.</p>
                                <br>
                                <p><b>2.4.</b>&nbsp;The utilization of materials, in part or in whole, is permitted solely through the inclusion of a direct hyperlink to the Service website, accessible to search engines. The font size and color of said hyperlink shall conform to the basic style of the hosting web resource</p>
                                <br>

                                <b>3. Responsibilities of the Parties</b>
                                <br>
                                <p><b>3.1.</b>&nbsp;The Service bears no responsibility for communication channel failures supporting the Service, nor for any losses incurred or potentially incurred by the User through the use or non-use of the Service.</p>
                                <br>
                                <p><b>3.2.</b>&nbsp;The Service disclaims responsibility for the content of comments left on its website by the User or third parties, as well as for the content of news, information, and advertising messages, publications, articles, and any resulting consequences of their publication on the Service website. The views expressed on the Service may not align with those of the Users or third parties. The responsibility for the content of statements, reports, and publications rests solely with the User or third parties.</p>
                                <br>
                                <p><b>3.3.</b>&nbsp;The Service is not liable for the availability or content of links/hyperlinks on the website directing to other Internet sites.</p>
                                <br>
                                <p><b>3.4.</b>&nbsp;The Service holds no responsibility for damages incurred by the User due to the loss, disclosure, or theft of their access details for the protected area of the Service website ("Account") by third parties.</p>
                                <br>
                                <p><b>3.5.</b>&nbsp;The Service retains the right to move, block, hide, modify, or delete User messages without warning if they contravene the Service rules, netiquette, morality, or the legislation of the User's country of nationality.
                                </p>
                                <br>
                                <p><b>3.6.</b>&nbsp; While the Service endeavors to verify news, exchange rates, and other publications, it cannot guarantee their absolute authenticity, accuracy, or objectivity.</p>
                                <br>
                                <p><b>3.4.</b>&nbsp;The Service holds no responsibility for damages incurred by the User due to the loss, disclosure, or theft of their access details for the protected area of the Service website ("Account") by third parties.</p>
                                <br>
                                <p><b>3.7.1.</b>&nbsp;The User must rely on Service-provided data concerning exchangers and analyze them to select those with a robust positive reputation. In cases where the User lacks sufficient data for analysis (due to limited reviews or personal doubts), the Service recommends conducting a trial exchange with a minimum amount at the selected exchanger.</p>
                                <br>
                                <p><b>3.7.2.</b>&nbsp;The exchanger's proprietor bears sole responsibility for exchange operations on their site. In instances of non-compliance with their own rules, the exchanger proprietor, the Service is obligated to fully assist the User in resolving the matter.</p>
                                <br>

                                <p><b>3.8.</b>&nbsp;The User is obliged to adhere to netiquette, morality, and the legislation of their country of nationality.
                                </p>
                                <br>
                                <p><b>3.9.</b>&nbsp;The User must maintain confidentiality and refrain from disclosing their Account access details to third parties.
                                </p>
                                <br>
                                <p><b>3.10.</b>&nbsp;The User must not impede the operation of the Service but rather contribute to its development.
                                </p>
                                <br>
                                <b>4. Privacy Policy</b>
                                <br>
                                <br>
                                <p><b>4.1.</b>&nbsp;The Privacy Policy outlined in the&nbsp;<a href="https://www.exchangebuz.com/page/privacy-notice">Privacy Policy Section</a>&nbsp;of the Service website forms an integral part of this Agreement.
                                </p>
                                <br>
                                <b>5. Other Conditions</b>
                                <br>
                                <p><b>5.1.</b>&nbsp;The Service shall be absolved of liability for complete or partial failure to fulfill obligations under the Agreement due to force majeure events such as natural disasters, war or hostilities, damage or malfunction of communication lines, legislative changes, or other extraordinary and unavoidable circumstances beyond the Service's control, provided these circumstances directly impact the Service's operation.
                                </p>
                                <br>
                                <p><b>5.2.</b>&nbsp;Claims against the Service must be submitted through the contact form in the "<strong><a href="https://www.exchangebuz.com/contact">Contact Us</a></strong>" section of the Service website and will be reviewed within 15 working days.
                                </p>
                                <br>
                               <p class="text-center"><b>By accepting this agreement through the Sign-up option, you, as a party, agree to accept all the terms and conditions of ExchangeBuz Holdings Inc., as per United States Law.
                               </b></p>
                            </div>

                        </div>
                    </div>
                </div>
            </div>


        </div>
</section>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('frontend.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\exchange1\resources\views/frontend/pages/user_agreement.blade.php ENDPATH**/ ?>