<!DOCTYPE html>
<html lang="en">
<!--[if IE 9 ]><html lang="en" class="ie9"><![endif]-->

<head>
    <script src='https://www.google.com/recaptcha/api.js'></script>
    <link rel="shortcut icon" type="image/png" href="/favicon.png" />
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Site identity -->
    <meta name="title" content="ExchangeBuz | Leading exchanger of PayPal, Advcash, Skrill, BTC, LTC." />
    <meta name="author" content="exchangebuz.com" />
    <meta name="revisit-after" content="1" />
    <meta name="language" content="EN" />
    <meta name="copyright" content="© Copyright 2024 by EXCHANGEBUZ HOLDINGS INC." />
    <meta name="robots" content="Index, follow" />
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <!-- Site identity -->
    <html data-bs-theme="light">
    <style>
        body {
            font-family: 'Montserrat', sans-serif !important;
        }

        .contact-section::before {
            content: url(<?php echo e(url('')); ?>/img/left-side-svg.png);
            position: absolute;
            left: 0;
            bottom: 0;
            z-index: 0;
        }

        .contact-section::after {
            content: url(<?php echo e(url('')); ?>/img/right.svg);
            position: absolute;
            right: 0;
            top: 0;

            z-index: 0;
        }

        .offcanvas-backdrop.show {
            opacity: 0 !important;
        }

        .toast-success {
            background-color: #4CAF50 !important;  /* Green for success */
        }

        .toast-error {
            background-color: #f44336 !important;  /* Red for error */
        }

    </style>
    <!-- froala_Blocks Tag -->
    <?php
        $settings = \App\Models\SettingsModel::first(); // Retrieve the first settings row
        $faviconPath = $settings->favicon ? asset('storage/brands_logo/' . $settings->favicon) : asset('favicon.png'); // Fallback to default favicon if not set
    ?>

    <link rel="icon" type="image/png" href="<?php echo e($faviconPath); ?>">

    <!-- for dropdown -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet" />  
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
        integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link type="text/css" rel="stylesheet"
        href="https://cdnjs.cloudflare.com/ajax/libs/froala-design-blocks/2.0.0/css/froala_blocks.min.css">
    <!-- froala_Blocks Tag -->

    <!--owl-Carousel-link-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css"
        integrity="sha512-tS3S5qG0BlhnQROyJXvNjeEM4UpMXHrQfTGmbQ1gKmelCxlSEBUaxhRBj/EFTzpbP4RVSrpEikbmdJobCvhE3g=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet"
        href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.theme.default.min.css"
        integrity="sha512-sMXtMNL1zRzolHYKEujM2AqCLUR9F2C4/05cdbxjjLSRvMQIciEPCQZo++nk7go3BtSuK9kfa/s+a4f4i5pLkw=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <!--owl-Carousel-link-->
    <!--bootstrap-->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <!--bootstrap-->
    <!--eb-home css-->

    <!--eb-home css-->
    <!--Font Awesome Icon-->
    <script src="https://kit.fontawesome.com/fe6cf94e1a.js" crossorigin="anonymous"></script>
    <!--Font Awesome Icon-->
    <link href="<?php echo e(url('')); ?>/css/bootstrap-flipped.min.css" rel="stylesheet" type="text/css" media="all" />
    <link href="<?php echo e(url('')); ?>/css/bootstrap-rtl.min.css" rel="stylesheet" type="text/css" media="all" />
    <!-- Site -->
    <link rel="stylesheet" href="<?php echo e(url('')); ?>/css/style.css">
    <link rel="stylesheet" href="<?php echo e(url('')); ?>/css/font-awesome.min.css">
    <link rel="stylesheet" href="<?php echo e(url('')); ?>/css/app_1.css">
    <link rel="stylesheet" href="<?php echo e(url('')); ?>/css/app_2.min.css">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet" />

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.1/jquery.min.js"
        integrity="sha512-v2CJ7UaYy4JwqLDIrZUI/4hqeoQieOmAZNXBeQyjo21dadnwR+8ZaIJVT8EE2iyI61OV8e6M8PP2/4hpQINQ/g=="
        crossorigin="anonymous" referrerpolicy="no-referrer"></script>



    <?php echo $__env->make('frontend.layouts.customcss', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<!-- admin css -->
    <link rel="stylesheet" href="<?php echo e(url('')); ?>/assets/css/style.css">
    <link rel="stylesheet" href="<?php echo e(url('')); ?>/assets/css/normalize.css">
    <link rel="stylesheet" href="<?php echo e(url('')); ?>/assets/css/animate.css">
    <link rel="stylesheet" href="<?php echo e(url('')); ?>/assets/css/bootstrap.css">
    <link rel="stylesheet" href="<?php echo e(url('')); ?>/assets/css/variables.css">
    <link rel="stylesheet" href="<?php echo e(url('')); ?>/assets/css/themify-icon.css">
    <link rel="stylesheet" href="<?php echo e(url('')); ?>/assets/css/font-awesome.min.css">
    <link rel="stylesheet" href="<?php echo e(url('')); ?>/assets/css/flag-icon.min.css">
    <link rel="stylesheet" href="<?php echo e(url('')); ?>/assets/css/cs-skin-elastic.css">
    <link rel="stylesheet" href="<?php echo e(url('')); ?>/assets/css/bootstrap.min.css.map">
    <link rel="stylesheet" href="<?php echo e(url('')); ?>/assets/css/bootstrap.min.css">

    <link rel="stylesheet" href="<?php echo e(url('')); ?>/assets/scss/style.scss">
    <link rel="stylesheet" href="<?php echo e(url('')); ?>/assets/scss/variables.scss">
    <link rel="stylesheet" href="<?php echo e(url('')); ?>/assets/scss/socials.scss">
    <link rel="stylesheet" href="<?php echo e(url('')); ?>/assets/scss/style.css">
    <link rel="stylesheet" href="<?php echo e(url('')); ?>/assets/scss/socials.css">
    <link rel="stylesheet" href="<?php echo e(url('')); ?>/assets/scss/variables.css">
    <link href="<?php echo e(url('')); ?>/assets/css/lib/vector-map/jqvmap.min.css" rel="stylesheet">
    
</head>

<body>
    <?php echo $__env->make('admin.pages.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->yieldContent("content"); ?>


<!-- admin javascript -->
    <script src="<?php echo e(url('')); ?>/assets/js/vendor/jquery-2.1.4.min.js"></script>
    <script src="<?php echo e(url('')); ?>/https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.3/umd/popper.min.js"></script>
    <script src="<?php echo e(url('')); ?>/assets/js/plugins.js"></script>
    <script src="<?php echo e(url('')); ?>/assets/js/main.js"></script>

    <script src="<?php echo e(asset('js/Chart.bundle.js')); ?>"></script>
    <script src="<?php echo e(asset('js/dashboard.js')); ?>"></script>
    <script src="<?php echo e(asset('js/widgets.js')); ?>"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>

    <script src="<?php echo e(url('')); ?>/assets/js/lib/vector-map/jquery.vmap.js"></script>
    <script src="<?php echo e(url('')); ?>/assets/js/lib/vector-map/jquery.vmap.min.js"></script>
    <script src="<?php echo e(url('')); ?>/assets/js/lib/vector-map/jquery.vmap.sampledata.js"></script>
    <script src="<?php echo e(url('')); ?>/assets/js/lib/vector-map/country/jquery.vmap.world.js"></script>
    <script>
        ( function ( $ ) {
            "use strict";

            jQuery( '#vmap' ).vectorMap( {
                map: 'world_en',
                backgroundColor: null,
                color: '#ffffff',
                hoverOpacity: 0.7,
                selectedColor: '#1de9b6',
                enableZoom: true,
                showTooltip: true,
                values: sample_data,
                scaleColors: [ '#1de9b6', '#03a9f5' ],
                normalizeFunction: 'polynomial'
            } );
        } )( jQuery );
    </script>

    <script>
        toastr.options = {
            "closeButton": true,  // Display close button
            "progressBar": true,  // Show progress bar
            "positionClass": "toast-top-right", // Positioning
            "timeOut": "5000",  // Time for the notification to stay visible
            "extendedTimeOut": "1000",  // Time the notification stays visible after hover
            "showMethod": "slideDown", // Animation to show
            "hideMethod": "slideUp"   // Animation to hide
        };
    </script>
    <link rel="stylesheet" href="<?php echo e(url('')); ?>/assets/cleditor/jquery.cleditor.css" />
	<script type="text/javascript" src="<?php echo e(url('')); ?>/assets/js/jquery.min.js"></script>
    <script type="text/javascript" src="<?php echo e(url('')); ?>/assets/cleditor/jquery.cleditor.min.js"></script>
    <script>
        $(document).ready(function () { $(".cleditor").cleditor(); });
    </script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
    
    

<?php /**PATH C:\xampp\htdocs\exchange1\resources\views/admin/layouts/master.blade.php ENDPATH**/ ?>