<?php $__env->startSection('content'); ?>

    <style>
        .form-label {
            opacity: 100%;
            width: 18px;
            height: 13px;
        }

        .check-container {
            cursor: pointer;
            display: flex;
            align-items: center;
        }
        
        .check-container input {
            display: none;
        }

        .check-container svg {
            overflow: visible;
        }

        .path {
            fill: none;
            stroke-width: 6;
            stroke-linecap: round;
            stroke-linejoin: round;
            transition: stroke-dasharray 0.5s ease, stroke-dashoffset 0.5s ease;
            stroke-dasharray: 241 9999999;
            stroke-dashoffset: 0;
        }

        .check-container input:checked~svg .path {
            stroke-dasharray: 70.5096664428711 9999999;
            stroke-dashoffset: -262.2723388671875;
        }
    </style>


<section class="contact-section">
    <div class="contact-container">
        <!-- Title with Icon -->
        <div class="contact-title text-center">
            <h1 class="contact-heading pb-2">Login</h1>
            <p><i class="fa fa-user me-2" aria-hidden="true"></i><span>Didn't have any account yet?<a href="<?php echo e(url('/register')); ?>"
                        class="text-decoration-none"> Create One</a></span> </p>
        </div>

        <!-- Row for Card -->
        <div class="row contact-row justify-content-center">
            <div class="col-12 col-md-6">
                <div class="contact-card">
                    <div class="contact-card-body">
                        <div class="row contact-info-row">
                            <div class="col-12 contact-form-col">
                                <form id="loginForm" class="contact-form pt-3">
                                    <div class="form-group col-lg-12">
                                        <input type="email" id="email" name="email" placeholder="Your email address"
                                            autocomplete="off" class="float-input mb-2" required>
                                        <label for="email" class="float-label">Email address</label>
                                    </div>

                                    <div class="form-group col-lg-12">
                                        <input type="password" id="password" name="password" placeholder="Password"
                                            autocomplete="off" class="float-input mb-2" required>
                                        <label for="number" class="float-label">Password</label>
                                    </div>

                                    <div class="d-flex justify-content-between">
                                        <div class="form-group col-lg-6">
                                            <label class="check-container">
                                                <input type="checkbox">
                                                <svg viewBox="0 0 64 64" height="20px" width="15px" class="me-2">
                                                    <path
                                                        d="M 0 16 V 56 A 8 8 90 0 0 8 64 H 56 A 8 8 90 0 0 64 56 V 8 A 8 8 90 0 0 56 0 H 8 A 8 8 90 0 0 0 8 V 16 L 32 48 L 64 16 V 8 A 8 8 90 0 0 56 0 H 8 A 8 8 90 0 0 0 8 V 56 A 8 8 90 0 0 8 64 H 56 A 8 8 90 0 0 64 56 V 16"
                                                        pathLength="575.0541381835938" class="path"></path>
                                                </svg>
                                                Remember me
                                            </label>
                                        </div>

                                        <div class="form-group mr-3">
                                            <span>
                                                <a href="<?php echo e(route('password.request')); ?>" class="text-decoration-none">Forgot password?</a>
                                            </span>
                                        </div>
                                    </div>

                                    <div class="form-group mb-4 ml-3">
                                        <div class="g-recaptcha"
                                            data-sitekey="6Lel4Z4UAAAAAOa8LO1Q9mqKRUiMYl_00o5mXJrR"></div>
                                    </div>

                                    <div class="form-group text-center col-lg-12 mb-4">
                                        <button type="submit" class="btn submit-button  w-100" name="bit_send">
                                            Login</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>


    <script>
        $(document).ready(function() {
            $('#loginForm').submit(function(e) {
                e.preventDefault(); // Prevent the default form submission

                // Get the form data
                var formData = $(this).serialize(); 

                $.ajax({
                    type: 'POST',   
                    url: '<?php echo e(route('login.submit')); ?>', // Your login route URL
                    data: formData,
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') // Include CSRF token
                    },
                    success: function(response) {
                        if (response.status === 'success') {
                            toastr.success(response.message);
                            setTimeout(() => {
                                window.location.href = "<?php echo e(url('/')); ?>";
                            }, 1500);
                                
                        } else {
                            toastr.error('Invalid credentials, please try again.');
                        }
                    },
                    error: function(xhr, status, error) {
                        console.error(xhr.responseText);
                        alert('Something went wrong. Please try again.');
                    }
                });
            });
        });
    </script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('frontend.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\exchange1\resources\views/frontend/pages/login.blade.php ENDPATH**/ ?>