
<?php $__env->startSection('content'); ?>

<br>
<br>
	<div class="breadcrumbs">
		<div class="col-sm-4">
			<div class="page-header float-left">
				<div class="page-title">
					<h1>Gateways</h1>
				</div>
			</div>
		</div>
	</div>

	<div class="content mt-3">
		<div class="col-sm-8">
			<div class="page-header float-left">
				<div class="page-title">
					<ol class="breadcrumb text-right">
						<li>Add cryptocurrency</li>
					</ol>
				</div>
			</div>
		</div>
		<div class="col-md-12">
			<div class="card">
				<div class="card-body">
					<form id="addCryptoForm" method="POST">
						<?php echo csrf_field(); ?>
						<div class="form-group">
							<div id="merchantSourceGroup">
								<label>Select merchant source</label>
								<select name="merchant_source" class="form-control custom-dropdown">
									<option value=""></option>
									<option value="block.io">Block.io</option>
									<option value="coinpayments.net">Coinpayments.net</option>
								</select>
							</div>

							<input type="hidden" name="exchange_type" value="3">


							<!-- Block.io Fields (Hidden by default) -->
							<div id="blockIoFields" style="display: none;">
								<div class="form-group">
									<label>Block.io API Key</label>
									<input type="text" class="form-control block-io" name="a_field_1" >
								</div>
								<div class="form-group">
									<label>Block.io Merchant Secret</label>
									<input type="text" class="form-control block-io" name="a_field_2" >
								</div>
								<div class="checkbox">
									<label><input type="checkbox" name="generate_new_address" > Generate new address for each exchange</label>
								</div>
								<div class="form-group">
									<label>Block.io Address</label>
									<input type="text" class="form-control" name="a_field_4" >
									<small>Enter here a address from your block.io account, if you do not want to generate new address for each exchange. Address must be from your block.io account to verify automatically transaction.</small>
								</div>
							</div>


							<!-- CoinPayments Fields (Hidden by default) -->
							<div id="coinPaymentsFields" style="display: none;">
								<div class="form-group">
									<label>Coinpayments.net Merchant ID</label>
									<input type="text" class="form-control coinpayments" name="a_field_1" >
								</div>
								<div class="form-group">
									<label>Coinpayments.net IPN Secret</label>
									<input type="text" class="form-control coinpayments" name="a_field_2" >
								</div>
							</div>

							<!-- Common Fields for Both Forms -->

							<input type="hidden" name="a_field_3" id="merchantType">
							<input type="hidden" name="is_crypto" id="crypto">

							<div id="commonFields" style="display: none;">
								<div class="form-group">
									<label>Select coin</label>
									<input type="text" class="form-control" name="name" >
								</div>
								<div class="form-group">
									<label>Minimal amount for exchange</label>
									<input type="text" class="form-control" name="min_amount" >
								</div>
								<div class="form-group">
									<label>Maximum amount for exchange</label>
									<input type="text" class="form-control" name="max_amount" >
								</div>
								<div class="form-group">
									<label>Reserve</label>
									<input type="text" class="form-control" name="reserve" >
								</div>
								<div class="form-group">
									<label>Fee</label>
									<input type="text" class="form-control" name="fee" >
								</div>
								
								<div class="checkbox">
									<label>
										<input type="checkbox" name="include_fee" value="1"> Include extra fee in total amount for payment
									</label>
								</div>
								<div class="form-group">
									<label>Extra fee</label>
									<input type="text" class="form-control" name="extra_fee" >
									<small>You can setup fixed or percentage fee. This fee will be used to calculate total amount for payment for client. For example: If user sell 100 and if fee is 10% must pay 110 or if user sell 50 and fee is fixed 5.99 must pay 55.99 and etc. If do not want to setup fee leave blank.</small>
								</div>
								<div class="checkbox">
									<label><input type="checkbox" name="allow_send" value="1"> Allow customers to send money through this gateway</label>
								</div>
								<div class="checkbox">
									<label><input type="checkbox" name="require_login" value="1"> Require user to login before exchange</label>
								</div>
								<div class="checkbox">
									<label><input type="checkbox" name="require_email_verify" value="1"> Require user to verify their email address before exchange</label>
								</div>
								<div class="checkbox">
									<label><input type="checkbox" name="require_document_verify" value="1"> Require user to verify their personal documents before exchange</label>
								</div>
								<div class="checkbox">
									<label><input type="checkbox" name="require_mobile_verify" value="1"> Require user to verify their mobile number before exchange</label>
								</div>
							</div>
						</div>
						<button type="submit" class="btn btn-primary" name="btn_add"><i class="fa fa-plus"></i> Add</button>
					</form>
				</div>
			</div>
		</div>
	</div>

	<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>

	<script>
		$(document).ready(function() {
			$("#blockIoFields, #coinPaymentsFields, #commonFields").hide();

			$('select[name="merchant_source"]').change(function() {
				var merchantSource = $(this).val();
				var merchantTypeField = $('#merchantType');
				var isCryptoField = $('#crypto');

				$('#blockIoFields, #coinPaymentsFields, #commonFields').hide();
				

				if (merchantSource === 'block.io') {
					$('#blockIoFields').show();
					$('#commonFields').show(); 
					$('.block-io').each(function() {
						$(this).attr('name', $(this).data('name')); // Set correct names for Block.io fields
					});
					$('.coinpayments').removeAttr('name');
					merchantTypeField.val(2);
				} else if (merchantSource === 'coinpayments.net') {
					$('#coinPaymentsFields').show();
					$('.coinpayments').each(function() {
						$(this).attr('name', $(this).data('name')); // Set correct names for CoinPayments fields
					});
					$('#commonFields').show();  
					$('.block-io').removeAttr('name');
					merchantTypeField.val(1);
				}

				if (merchantSource === 'block.io' || merchantSource === 'coinpayments.net') 
				{
					isCryptoField.val('1'); 
				}else {
					isCryptoField.val('0');  
				}
			});

			$('#addCryptoForm').submit(function(e) {
				e.preventDefault();
				var formData = $(this).serialize(); 
				console.log(formData);

				if ($(this).attr('id') === 'addCryptoForm') {
					formData += '&exchange_type=3';  
				}

				$.ajax({
					type: 'POST',   
					url: '<?php echo e(route("gateway.handleForm")); ?>',
					data: formData,
					headers: {
						'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') // Include CSRF token
					},
					success: function(response) {
						if (response.status === 'success') {
							toastr.success(response.message);
						} else {
							toastr.error(response.message);
						}
					},
					error: function(xhr, status, error) {
						console.error(xhr.responseText);
						alert('Something went wrong. Please try again.');
					}
				});
			});
		});
	</script>


<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\exchange1\resources\views/admin/pages/gateways/add_crypto.blade.php ENDPATH**/ ?>