<?php $__env->startSection('content'); ?>

<br>
<br>
<div class="breadcrumbs">
	<div class="col-sm-4">
		<div class="page-header float-left">
			<div class="page-title">
				<h1>Gateways</h1>
			</div>
		</div>
	</div>
	<div class="col-sm-8">
		<div class="page-header float-right">
			<div class="page-title">
				
			</div>
		</div>
	</div>
</div>

<div class="content mt-3">
	<div class="col-md-12">
		<div class="card">
			<div class="card-body">
				
			<a href="<?php echo e(url('/admin/gateways/add_merchant')); ?>" class="btn btn-primary">Add merchant</a> 
			<a href="<?php echo e(url('/admin/gateways/add_crypto')); ?>" class="btn btn-primary">Add cryptocurrency</a>
			<a href="<?php echo e(url('/admin/gateways/add_manual_payment')); ?>" class="btn btn-primary">Add manual payment</a>
			<br><br>
			
			<table class="table table-striped">
				<thead>
					<tr>
						<th width="15%">Gateway</th>
						<th width="25%">Min/Max Amount</th>
						<th width="20%">Reserve</th>
						<th width="15%">Fee</th>
						<th width="15%">Allow send </th>
						<th width="10%">Status</th>
						<th width="10%">Actions</th>
					</tr>
				</thead>
				<tbody>
					<?php $__currentLoopData = $gateways; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $gateway): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
						<tr>
							<td><?php echo e($gateway->name); ?></td>
							<td><?php echo e($gateway->min_amount); ?> / <?php echo e($gateway->max_amount); ?></td>
							<td><?php echo e($gateway->reserve); ?></td>
							<td><?php echo e($gateway->fee); ?></td>
							<td>
								<?php if($gateway->allow_send == '1'): ?>
									&nbsp; &nbsp; <i class="fa fa-check" style="color: green;"></i> 
								<?php else: ?>
									&nbsp; &nbsp; <i class="fa fa-times" style="color: red;"></i> 
								<?php endif; ?>
							</td>

							<td>
								<select name="status" class="status-select" id="status" data-merchant-id="<?php echo e($gateway->id); ?>">
									<option value="<?php echo e($gateway->status); ?>"><?php echo e($gateway->status == 'Active' ? 'Active' : 'Not Active'); ?></option>
									<option value="Active"  <?php echo e($gateway->status == 'Active' ? 'selected' : ''); ?>>Active</option>
									<option value="Not Active" <?php echo e($gateway->status == 'Not Active' ? 'selected' : ''); ?>>Not Active</option>
								</select>	
							</td>

							<td>
								<div class="btn-group">
									<button type="button" class="btn btn-primary dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false">
										Actions
									</button>
									<ul class="dropdown-menu">
										<li><a class="dropdown-item" href="#">Manage Directions</a></li>
										<li><a class="dropdown-item" href="#">Manage Exchange Rates</a></li>
										<li><a class="dropdown-item" href="<?php echo e(route('gateway.edit', $gateway->id)); ?>">Edit Gateway</a></li>
										<li><hr class="dropdown-divider"></li>
										<li><a class="dropdown-item text-danger deleteBtn" href="javascript:void(0);" data-merchant-id="<?php echo e($gateway->id); ?>">Delete Gateway</a></li>
									</ul>
								</div>
							</td>
						</tr>
					<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
				</tbody>
			</table>
		</div>
	</div>
</div>

<!-- the script to update the status from "Not active" to "Active" and vice versa on the gateway dashboard -->

<script>
    $(document).ready(function() {
        $('.status-select').change(function() {
            var gatewayId = $(this).data('merchant-id');
            var status = $(this).val();

            $.ajax({
                url: '<?php echo e(route("gateway.updateGatewayStatus")); ?>', 
                type: 'POST',
                data: {
                    id: gatewayId,
                    status: status,
                    _token: '<?php echo e(csrf_token()); ?>' // Include CSRF token
                },
                success: function(response) {
                    if (response.success) {
                        toastr.success('Status updated successfully!');
                    } else {
                        toastr.error(response.message || 'Failed to update status.');
                    }
                },
                error: function(xhr) {
                    console.error(xhr.responseText);
                    toastr.error('An error occurred while updating status.');
                }
            });
        });
    });
</script>

<!-- script to delete the gateway from the gateway dashboard -->
<script>
    $(document).ready(function() {
        $('a.deleteBtn').click(function(e) {
            e.preventDefault(); 

            var gatewayId = $(this).data('merchant-id'); 
            var row = $(this).closest('tr'); 

            // Ask for confirmation before deletion
            if (confirm('Are you sure you want to delete this merchant?')) {
                $.ajax({
                    url: '<?php echo e(route("gateway.deleteGateway")); ?>', 
                    type: 'DELETE',
                    data: {
                        id: gatewayId,
                        _token: '<?php echo e(csrf_token()); ?>' 
                    },
                    success: function(response) {
                        if (response.success) {
                            toastr.success('Gateway deleted successfully');
                            row.remove(); 
                        } else {
                            toastr.error(response.message || 'Failed to delete gateway');
                        }
                    },
                    error: function(xhr) {
                        console.error(xhr.responseText);
                        toastr.error('An error occurred while deleting the gateway');
                    }
                });
            }
        });
    });
</script>





	
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\exchange1\resources\views/admin/pages/gateways.blade.php ENDPATH**/ ?>